Bug 842101 - Review Request: sugar-yupana - A counting and calculating device used by the Incan
Review Request: sugar-yupana - A counting and calculating device used by the ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kalpa Welivitigoda
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-21 23:51 EDT by Danishka Navin
Modified: 2013-06-17 21:28 EDT (History)
6 users (show)

See Also:
Fixed In Version: sugar-yupana-15-1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-16 02:10:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
callkalpa: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Danishka Navin 2012-07-21 23:51:22 EDT
Spec URL: http://snavin.fedorapeople.org/packages/sugar-yupana/sugar-yupana.spec

SRPM URL: http://snavin.fedorapeople.org/packages/sugar-yupana/sugar-yupana-5-1.fc17.src.rpm

Description: 

Yupana is a counting and calculating device used by the Incan. It is similar to an abacus. 

The beads are organized in columns, where the units (1s) column is farthest to the right; tens (10s) is second from the right; hundreds (100s) is third from the right, etc.

Click on a dot and it will reverse its state (color), and either add or substract value from that column.

More details regarding the history and use of the Yupana can be found here:

http://cursa.ihmc.us/rid=1J2NH8QTM-2912G6-PZ5/yupana_como_herramienta_pedagogica.pdf

http://wiki.sugarlabs.org/go/Activities/Yupana


Fedora Account System Username: snavin
Comment 2 Vasiliy Glazov 2012-08-15 01:59:33 EDT
Unofficial review.

It looks that all requirements are met.
Comment 3 Kalpa Welivitigoda 2013-01-07 11:29:24 EST
I did a scratch build and tested it in sugar-emulator. Works fine.

koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4845835
Comment 4 Peter Robinson 2013-06-01 15:31:24 EDT
Danishka: the reviewer not the submitter sets the review flags
Comment 5 Danishka Navin 2013-06-01 15:41:07 EDT
sorry about that
Comment 6 Kalpa Welivitigoda 2013-06-03 08:48:31 EDT
Yupuna 15 is in the upstream. Shall we have the spec and srpm for the latest version?
Comment 8 Kalpa Welivitigoda 2013-06-05 04:06:19 EDT
Looks for for me

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package requires other packages for directories it uses.
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package is not known to require ExcludeArch.
[ ]: Package complies to the Packaging Guidelines
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "MIT/X11 (BSD like)", "GPL (v3 or later)", "Unknown or generated". 1
     files have unknown license. Detailed output of licensecheck in
     /home/kalpa/fedora-review/842101-sugar-yupana/licensecheck.txt
[ ]: The spec file handles locales properly.
[ ]: Package consistently uses macro is (instead of hard-coded directory
     names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Package must own all directories that it creates.
[ ]: Package does not own files or directories owned by other packages.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 40960 bytes in 2 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.

Python:
[ ]: Python eggs must not download any dependencies during the build process.
[ ]: A package which is used by another package via an egg interface should
     provide egg info.
[ ]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: sugar-yupana-15-1.fc18.noarch.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint sugar-yupana
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
sugar-yupana (rpmlib, GLIBC filtered):
    /usr/bin/env
    sugar



Provides
--------
sugar-yupana:
    sugar-yupana



Source checksums
----------------
http://download.sugarlabs.org/sources/honey/Yupana/Yupana-15.tar.bz2 :
  CHECKSUM(SHA256) this package     : 90fc14e699728798911c43350605e8c9f43443a9ec54b03e336821093ecadc9d
  CHECKSUM(SHA256) upstream package : 90fc14e699728798911c43350605e8c9f43443a9ec54b03e336821093ecadc9d


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-18-x86_64
Command line :/usr/bin/fedora-review -vb 842101
Comment 9 Kalpa Welivitigoda 2013-06-05 04:06:53 EDT
Package APPROVED
Comment 10 Danishka Navin 2013-06-05 04:50:18 EDT
New Package SCM Request
=======================
Package Name: sugar-yupana
Short Description: A counting and calculating device used by the Incan
Owners: snavin
Branches: f17 f18 f19
InitialCC:
Comment 11 Jon Ciesla 2013-06-05 06:19:19 EDT
Git done (by process-git-requests).
Comment 12 Fedora Update System 2013-06-08 11:33:15 EDT
sugar-yupana-15-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/sugar-yupana-15-1.fc18
Comment 13 Fedora Update System 2013-06-08 11:33:27 EDT
sugar-yupana-15-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/sugar-yupana-15-1.fc19
Comment 14 Fedora Update System 2013-06-08 11:33:37 EDT
sugar-yupana-15-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/sugar-yupana-15-1.fc17
Comment 15 Fedora Update System 2013-06-08 14:06:30 EDT
sugar-yupana-15-1.fc19 has been pushed to the Fedora 19 testing repository.
Comment 16 Fedora Update System 2013-06-16 02:10:32 EDT
sugar-yupana-15-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 17 Fedora Update System 2013-06-17 21:26:55 EDT
sugar-yupana-15-1.fc18 has been pushed to the Fedora 18 stable repository.
Comment 18 Fedora Update System 2013-06-17 21:28:17 EDT
sugar-yupana-15-1.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.